SystemOrganization addCategory: #GlamourLoader!

Object subclass: #GlamourLoader
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GlamourLoader'!

!GlamourLoader classSide methodsFor: 'flair' stamp: 'tg 7/28/2009 12:55'!
all
	| project |
	self ensureFlairAndGofer.

	project := FLProject named: 'Glamour All'.
	project dependsOn: (FLPackage named: 'Glamour-All' in: 'http://www.squeaksource.com/Glamour').
	project dependsOn: (FLPackage named: 'Glamour-Morphic' in: 'http://www.squeaksource.com/Glamour').
	project dependsOn: (FLPackage named: 'Annuncements' in: 'http://www.squeaksource.com/Glamour').
	project dependsOn: self mondrian.
	^ project! !

!GlamourLoader classSide methodsFor: 'flair' stamp: 'tg 7/28/2009 12:16'!
ensureFlairAndGofer

	Smalltalk at: #FLProject ifAbsent: [
		ScriptLoader  loadLatestPackage: 'Gofer' from: 'http://source.lukas-renggli.ch/flair'.
		ScriptLoader  loadLatestPackage: 'Flair' from: 'http://source.lukas-renggli.ch/flair'. ].! !

!GlamourLoader classSide methodsFor: 'as yet unclassified' stamp: 'tg 5/17/2009 14:29'!
load
	"self load"
	
	self loadGlamourForMorphic.
	self loadMondrian.! !

!GlamourLoader classSide methodsFor: 'as yet unclassified' stamp: 'tg 7/24/2009 13:48'!
loadGlamourForMorphic
	"self loadGlamourForMorphic"
	
	ScriptLoader new installer ss 
		project: 'Glamour'; 
		install: 'Glamour-All';
		install: 'Glamour-Morphic';
		install: 'Announcements'.! !

!GlamourLoader classSide methodsFor: 'as yet unclassified' stamp: 'tg 7/24/2009 13:48'!
loadMondrian
	"self loadMondrian"
	
	ScriptLoader new installer ss
		project: 'Mondrian';
		install: 'MondrianLoader'.
	
	(Smalltalk at: #MondrianLoader) load.! !

!GlamourLoader classSide methodsFor: 'flair' stamp: 'tg 7/28/2009 12:55'!
mondrian
	
	ScriptLoader loadLatestPackage: 'MondrianLoader' from: 'http://www.squeaksource.com/Mondrian'.
	^ (Smalltalk at: #MondrianLoader) all! !
